Subject: [manet] MANET interface Sequence Number incremented by MANET router (was Re: [Technical Errata Reported] RFC5444 (3496))

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 2 Mar 2013 13:54:17 +0100

Ok now the errata is done let me discuss the manet interface issue,

On 3/2/13, Adrian Farrel <[email-masked]> wrote:
>> The interface participating in this RFC is will usually RFC6130 (only
>> one using RFC5444 so far). Regarding the sequence number maintained in
>> MANET interfaces, I don't think it is only an implementation parameter
>> but also sepecification parameter. Why not add sequence number as a
>> new interface parameter in RFC6130-section-5.3? for not updating the
>> question still stands, how does RFC6130 maintain such parameter which
>> is assigned in RFC5444 packets?
>
> I am probably having trouble parsing what you wrote.
> Let me reiterate that we do not write implementation specifications.

I think we write manet protocol specification as RFC6130, and sequence
number can be related as a one interface protocol parameter (i.e.
which is incremented by router) mentioned by that approved and done
errata 3496,

>
> You asked *how* an interface maintains a sequence number, and the answer to
> that
> is quite clearly out of scope.

For the approved errata reason, I think it is in scope for RFC5444 and
RFC6130. I will change my question by; how does MANET router increment
the sequence number in the interface (mentioned who increments and
where in errata 3496) if the interface protocol does not specify any
sequence number in its info who will specify for it.

>
> You say "I don't think it is only an implementation parameter but also
> sepecification parameter".  That is a thought, not an argument. Your
> thoughts
> are very interesting to us, but only those supported with reasoning are
> likely
> to gather support.

I agree but even the participant thought-comment is part of any
I-D/RFC discussion, and because volunteering in my work process I
sometimes note my thoughts and then reasons which maybe posted in
different time, that such process has a reason also which depends on
the subject, document and WG reputations.

> Can you explain why it is necessary for two
> interoperable
> implementations to know how the other stores or maintains a sequence
> number?

Realy your question depends on the approved errata 3496 or
RFC5444-designer reason, why does the errata mention that the sequence
number of the interface is change/incremented by the router. In the
particular argument, the rounting operation to be successful in manet,
there are two WG protocols; the router, and the router-interface (this
is when both using the RFC5444 packet related to the errata 3496). I
requested to specify the parameter in the manet interface protocol,
because the errata is specifying the incrementation inside the
interface protocol by another protocol which is the router.

Also, regarding to all routers' implementations (using RFC5444
specification), they need to know how sequence number was incremented
or maintained in the interface specification that they use, otherwise
how can router use such number in packet chack algorithms or other
concerning the RFC5444 sequence number.

>
> Now you reference 5.3 of 6130. This is a list of parameters that affect the
> on-the-wire performance of the protocol. Several are configurable, and
> several
> are qualities of the interface.
>

Yes the interface RFC6130 performance is a general purpose performance
which is flexible to all routers that use RFC5444/RFC5498 not only
IETF-MANET WG productions. Is this right thought or assumption by me?

>> As long as this errata mentions the interface's number, Is it a must
>> parameter maintain for interface that uses RFC5444? I think so yes,
>
> You are now talking about interface number?
> That is a change of track, but anyway, this errata report does not mention
> interface number.
>

I think it mentioned a number related to each interface
generating-packet incremented by the router (i.e packet sequence
number).

AB

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 2 Mar 2013 21:41:49 -0000

I'm afraid that I am starting to find this discussion burdensome and I apologise
to the WG for clogging the list.

I really thought I could move things along, but apparently not. This will be my
last engagement on this topic on this list.

> which is incremented by router) mentioned by that approved and done

No-one doubts this, I think.

> > You asked *how* an interface maintains a sequence number, and the answer
> > to that is quite clearly out of scope.
> 

You have exactly not changed your question! You still as "how?"

Here is a suggestion:

if (sending_packet == 1)
{
   packet_sequence_number [interface_ID]++;
}

Please understand that the sequence number is a local value held in the
implementation and incremented by the implementation when it sends a packet.
This is not rocket science - you will find sequence numbers in very many
protocols.

> > thoughts are very interesting to us, but only those supported with
> > reasoning are likely to gather support.
> 
> different time

Well, please don't. It is disruptive to the WG to cause people to attempt to
guess your reasoning, and it clogs the list unnecessarily to have emails that
have to be open and read, but which do not add to the sum of received wisdom.

> > interoperable implementations to know how the
> > other stores or maintains a sequence number?
> 
> is when both using the RFC5444 packet related to the errata 3496).

As neither a router nor an interface is "a protocol" I cannot extract any
meaning from this text.
But it sounds like you are asking me how to implement a counter in software for
a router that may have many interfaces.
My answer is "work it out for yourself because my ability to work it out is how
I sell my software!"

> I

Que?

> > several are qualities of the interface.
> 

I cannot parse your text.
You introduced NHDP to this discussion so I presume you know what you mean.

> generating-packet incremented by the router (i.e packet sequence

The packet sequence number is not the "interface's number." I quoted your email,
so please don't "think" what you mentioned; please read it.

The fact that an interface needs to maintain a sequence number does not make the
sequence number a qualitative parameter of that interface. So it does not belong
in the list in 6130.

I'm out of here. I really did try.

Adrian